FROM ubuntu:16.04

RUN apt-get update -qq && \
    apt-get install -qq apt-transport-https ca-certificates curl software-properties-common python-pip git

# Docker and docker-compose
RUN curl -fsSL https://download.docker.com/linux/ubuntu/gpg | apt-key add - &&\
    add-apt-repository "deb [arch=amd64] https://download.docker.com/linux/ubuntu $(lsb_release -cs) stable" && \
    apt-get -qq update && apt-get install -y docker-ce && \
    pip install docker-compose
